com.license4j

## Class HardwareID

- java.lang.Object
- - com.license4j.HardwareID

-     public class HardwareID
      extends java.lang.Object

  HardwareID class creates hardware id from hostname, ethernet address, disk volume serial number and hdd manufacturers serial number. AND or OR combination of hardware ids can be used in license validation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardwareID()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getHardwareIDFromEthernetAddress()` Use ethernet MAC address for creating hardware id.
    `static java.lang.String` | `getHardwareIDFromHDDSerial()` Use HDD manufacturer's serial number for creating hardware id.
    `static java.lang.String` | `getHardwareIDFromHostName()` Use computer host name for generating hardware id.
    `static java.lang.String` | `getHardwareIDFromVolumeSerialNumber()` Use OS system disk volume serial number for creating hardware id.
    `static java.lang.String` | `getVirtualizationSoftwareName()` If software is running inside a virtual OS, returns virtualization software name.
    `static boolean` | `isVirtual()` Detects if software is running inside a virtual OS.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardwareID

          public HardwareID()

  - ### Method Detail

    - #### getHardwareIDFromHostName

          public static java.lang.String getHardwareIDFromHostName()

      Use computer host name for generating hardware id.
      Returns:
        hardware id string

    - #### getHardwareIDFromEthernetAddress

          public static java.lang.String getHardwareIDFromEthernetAddress()

      Use ethernet MAC address for creating hardware id.
      Returns:
        hardware id string or null if no network interfaces present

    - #### getHardwareIDFromVolumeSerialNumber

          public static java.lang.String getHardwareIDFromVolumeSerialNumber()

      Use OS system disk volume serial number for creating hardware id.
      Returns:
        hardware id string or null if volume serial number can not be read.

    - #### getHardwareIDFromHDDSerial

          public static java.lang.String getHardwareIDFromHDDSerial()

      Use HDD manufacturer's serial number for creating hardware id.
      Returns:
        hardware id string or null if serial number can not be read.

    - #### isVirtual

          public static boolean isVirtual()

      Detects if software is running inside a virtual OS.
      Returns:
        true if software is running inside a virtual OS.

    - #### getVirtualizationSoftwareName

          public static java.lang.String getVirtualizationSoftwareName()

      If software is running inside a virtual OS, returns virtualization software name.
      Returns:
        virtualization software name.